GNU Radio 2.x: gr_probe_avg_mag_sqrd_f Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gr_probe_avg_mag_sqrd_f Class Reference
[Signal Sinks]

`#include <gr_probe_avg_mag_sqrd_f.h>`

Inheritance diagram for gr_probe_avg_mag_sqrd_f:

[legend]
Collaboration diagram for gr_probe_avg_mag_sqrd_f:

[legend]
List of all members.

## Detailed Description

compute avg magnitude squared.

input: float

Compute a running average of the magnitude squared of the the input. The level and indication as to whether the level exceeds threshold can be retrieved with the level and unmuted accessors.

## Public Member Functions
| ~gr_probe_avg_mag_sqrd_f ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
| just like gr_block::general_work, only this arranges to call consume_each for you
bool | unmuted () const
double | level () const
void | set_alpha (double alpha)
void | set_threshold (double decibels)
## Friends
gr_probe_avg_mag_sqrd_f_sptr | gr_make_probe_avg_mag_sqrd_f (double threshold_db, double alpha)

## Constructor & Destructor Documentation

gr_probe_avg_mag_sqrd_f::~gr_probe_avg_mag_sqrd_f | ( |  | ) |

## Member Function Documentation

double gr_probe_avg_mag_sqrd_f::level | ( |  | ) | const`[inline]`

void gr_probe_avg_mag_sqrd_f::set_alpha | ( | double | alpha | ) |

void gr_probe_avg_mag_sqrd_f::set_threshold | ( | double | decibels | ) |

bool gr_probe_avg_mag_sqrd_f::unmuted | ( |  | ) | const`[inline]`

int gr_probe_avg_mag_sqrd_f::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) | `[virtual]`

| just like gr_block::general_work, only this arranges to call consume_each for you The user must override work to define the signal processing code Implements gr_sync_block.

## Friends And Related Function Documentation

gr_probe_avg_mag_sqrd_f_sptr gr_make_probe_avg_mag_sqrd_f | ( | double | threshold_db,
|  | double | alpha
| ) | `[friend]`

The documentation for this class was generated from the following files:

- gr_probe_avg_mag_sqrd_f.h
- gr_probe_avg_mag_sqrd_f.cc